# Manage Load Account

## Manage Load Account

The Manage Load Account API allows to manage the amount of the LA – allowing to increase, decrease or get balance value.

## Input Parameters:

| Name             | Required | Definition                                                          | Comments                                       |
| ---------------- | -------- | ------------------------------------------------------------------- | ---------------------------------------------- |
| Amount           | C        | <p>Format: Numeric, 1-9<br>Description: The amount is in cents.</p> | Required if Operation Type = Increase/Decrease |
| FundsSource      | C        | Format: Alphanumeric, 50                                            | Required if Operation Type = Increase/Decrease |
| OperationType    | Y        | <p>Format options:<br>Increase<br>Decrease<br>Get</p>               |                                                |
| OrganizationName | Y        | Format: Alphanumeric, 60                                            |                                                |
| ReferenceNumber  | C        | Format: Alphanumeric, 32                                            | Required if Operation Type = Increase/Decrease |

## Output Parameters:

| Name               | Definition                                                                                                                            | Failure Case | Success Case | Comments |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------- | ------------ | ------------ | -------- |
| LABalance          | Format: Numeric, 1-11                                                                                                                 | Not returned | Returned     |          |
| LastUpdateDate     | <p>Format: YYYY-MM-DD HH:MM:SS<br>Description: Required to be returned only if Operation Type = Get.<br>Otherwise, do not return.</p> | Not returned | Returned     |          |
| LastUpdateUserName | <p>Format: Alphanumeric, 6-30<br>Description: Required to be returned only if Operation Type = Get.<br>Otherwise, do not return.</p>  | Not returned | Returned     |          |

## XML Samples

### Input XML

```json
<?xml version="1.0" ?>
<PraxellXMLRequest>
<AuthenticationDetails>
        <UserName></UserName>
        <UserPassword></UserPassword>
       <ClientSourceIP></ClientSourceIP> 
 </AuthenticationDetails>;
     <ServiceDetails>
        <ServiceName>ManageLoadAccount</ServiceName>
        <UniqueRequestId>1212121212121213</UniqueRequestId>
     </ServiceDetails>
     <Origin>
        <OriginType>praxell</OriginType>
     </Origin>
     <ServiceParams>
            <OperationType>Increase</OperationType>
            <OrganizationName>Distrib2</OrganizationName>
            <Amount>5</Amount>
            <FundsSource>7</FundsSource>
            <ReferenceNumber>10</ReferenceNumber>
     </ServiceParams>
</PraxellXMLRequest>
```

```json
<?xml version="1.0" ?>
<PraxellXMLResponse>
        <ResponseDetails>
            <ServiceName>ManageLoadAccount</ServiceName>
            <SessionId></SessionId>
            <StatusCode>0</StatusCode>
            <StatusName>StatusOK</StatusName>
            <StatusDescription>NA</StatusDescription>
            <ServiceDate>2010-06-29 07:20:40</ServiceDate>
            <ServiceId>1675670030276048</ServiceId>
        </ResponseDetails>
        <ResponseParams>
            <LABalance>4505</LABalance>
            <LastUpdateDate>2010-10-09 10:23:38.0</LastUpdateDate>
            <LastUpdateUserName>st_manager</LastUpdateUserName>
        </ResponseParams>
</PraxellXMLResponse>
```

```json
<?xml version="1.0"?>
<PraxellXMLResponse>
  <ResponseDetails>
    <ServiceName>ManageLoadAccount</ServiceName>
    <SessionId>07071612200737105</SessionId>
    <StatusCode>70029</StatusCode>
    <StatusName>Data not found (cardholder not found)</StatusName>
    <StatusDescription>Data not found (cardholder not found)</StatusDescription>
    <ServiceDate>2021-10-01 12:37:50</ServiceDate>
    <ServiceId>07071612200737105</ServiceId>
  </ResponseDetails>
  <ResponseParams>
  </ResponseParams>
</PraxellXMLResponse>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.juicefin.com/apis/administration/manage-load-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
